Get Functions - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/ v2.0 /functions
Try it
Get Functions
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/functions \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/functions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/functions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
Success (200)
Returns an array of Function metadata objects:
{
"items": [
{
"name": "New Function",
"code": "console.log('Hello World');",
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isDisabled": true,
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
],
"total": 1,
"nextCursor": "<string>",
"previousCursor": "<string>"
}
Error Responses (400-504)
Here are some typical error responses you might experience:
Bad Request (400)
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Unauthorized (401)
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Payment Required (402)
{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Forbidden (403)
{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 403,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Not Found (404)
{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 404,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
... (Additional error responses can follow similarly)
Authorizations
- APIKeyHeader: Supply the API Key in the HTTP-Header.
Headers
- Accept: The
Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Query Parameters
- projectId: The unique identifier for the Project (length: 24, pattern:
^[a-z0-9]{24}$). - filter: The name of the Function to filter the records.
- limit: The maximum number of items to return (default: 25, max: 100).
- skip: The number of items to skip before returning results (default: 0).
- sort: The order in which results are returned, e.g.,
name:asc. - next: Cursor to request the next page of results.
- previous: Cursor to request the previous page of results.